#ifndef __EM_WAIT_H__
#define __EM_WAIT_H__

#include <linux/types.h>

#include "fzm_ioctls.h"

/*fzmem uses this to initialize the em_wait module with the hardware queue where interrupts will occur*/
struct em_wait_ioctl_init
{
    __u32 hwq_num;
};

/*fzmem uses this to request em_wait module to 1) wait for a interrupt to occur for the hardware queue configured via the 'init' ioctl or 2) a timeout occurs*/
struct em_wait_ioctl_wait_for
{
    __u32 timeout_secs;
    __u32 timeout_nanosecs;
};

/*for an infinite timeout (ie. wait forever) the following value MUST be used for em_wait_ioctl_wait_for.timeout_secs arg*/
#define EM_WAIT_IOCTL_INF_TIMEOUT ((__u32)~0UL)

#endif
